package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-06-17 
 */
@ApiModel
@Table ( value ="wms_pick_up_record" )
public class PickUpRecord extends BaseModel implements Serializable {
	private static final long serialVersionUID =  5447122048952387444L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	@ApiModelProperty(value = "主键id") 
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "*提货人姓名")
	@Column(value = "shipper_name")
	private String shipperName;

	@ApiModelProperty(value = "*身份证号")
	@Column(value = "shipper_card")
	private String shipperCard;

	@ApiModelProperty(value = "*提货时间")
	@Column(value = "pick_up_date")
	private Date pickUpDate;

	@ApiModelProperty(value = "*照片id")
	@Column(value = "photo_id")
	private String photoId;

	@ApiModelProperty(value = "*提货订单（来源单号/合单后订单号）")
	@Column(value = "src_code")
	private String srcCode;

	@ApiModelProperty(value = "备注") 
	@Column(value = "remarks")
	private String remarks;

	@ApiModelProperty(value = "状态（0-默认）") 
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "*建筑物id")
	@Column(value = "bldg_id")
	private String bldgId;

	@ApiModelProperty(value = "*建筑物名称")
	@Column(value = "bldg_name")
	private String bldgName;

	@ApiModelProperty(value = "*仓id")
	@Column(value = "warehouse_id")
	private String warehouseId;


	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getShipperName() {
		return this.shipperName;
	}

	public void setShipperName(String shipperName) {
		this.shipperName = shipperName;
	}

	public String getShipperCard() {
		return shipperCard;
	}

	public void setShipperCard(String shipperCard) {
		this.shipperCard = shipperCard;
	}

	public Date getPickUpDate() {
		return pickUpDate;
	}

	public void setPickUpDate(Date pickUpDate) {
		this.pickUpDate = pickUpDate;
	}

	public String getPhotoId() {
		return this.photoId;
	}

	public void setPhotoId(String photoId) {
		this.photoId = photoId;
	}

	public String getSrcCode() {
		return this.srcCode;
	}

	public void setSrcCode(String srcCode) {
		this.srcCode = srcCode;
	}

	public String getRemarks() {
		return this.remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getBldgId() {
		return this.bldgId;
	}

	public void setBldgId(String bldgId) {
		this.bldgId = bldgId;
	}

	public String getBldgName() {
		return this.bldgName;
	}

	public void setBldgName(String bldgName) {
		this.bldgName = bldgName;
	}

	public String getWarehouseId() {
		return this.warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}


}
